# 2c2pPaymentRequest

## Description

2C2P payment request

## Input / Parameters

| No | Name                   | Description                                                               | Data Type    | Required |
| -- | ---------------------- | ------------------------------------------------------------------------- | ------------ | -------- |
| 1  | connector              | Name of connector and created in the Services and Global Components page. | String       | Yes      |
| 2  | merchantID             | Merchant Id                                                               | String       |          |
| 3  | paymentToken           | Payment security token                                                    | String       |          |
| 4  | paymentType            | Payment Type                                                              | String       |          |
| 5  | agentCode              | Agent code                                                                | String       |          |
| 6  | creditCardNo           | Credit card no                                                            | String       |          |
| 7  | creditCardExpiryMonth  | Credit card expiry month                                                  | String       |          |
| 8  | creditCardExpiryYear   | Credit card expiry year                                                   | String       |          |
| 9  | creditCardSecurityCode | Credit Card Security Code                                                 | String       |          |
| 10 | callback               | Success callback                                                          | FunctionList |          |
| 11 | errorCallback          | Error callback                                                            | FunctionList |          |

## Output

## Callback

## Video

## Example

* N/A

### Step

* N/A

### Result

* N/A

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/payment/2c2ppaymentrequest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
